## libcork 0.15.0%2Bds

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@
Restrictions: allow-stderr
