=== debian/changelog ===
libcork (0.15.0+ds-16) unstable; urgency=medium

  * debian/rules:
    - Move updating CMakeLists.txt to dh_auto_configure.
  * debian/tests:
    - Update CMakeLists.txt, same as d/rules.
    - Add new ss-libev.sh test suite from shadowsocks-libev.

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 23:56:25 +0900

libcork (0.15.0+ds-15) unstable; urgency=medium

  * debian/rules:
    - Fix ftbfs due to: https://github.com/libcheck/check/issues/293
      Workaround from: https://bugs.gentoo.org/736766 (Closes: #980598)

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 01:09:39 +0900

libcork (0.15.0+ds-14) unstable; urgency=medium

  * debian/patches:
    - Refresh patches.
    - Add 0015 patch to fix fails to build with sphinx 3.1.
      Thanks to Zhihsian Que for the patch (Closes: #963645).

 -- Roger Shimizu <rosh@debian.org>  Wed, 12 Aug 2020 00:46:49 +0900

libcork (0.15.0+ds-13) unstable; urgency=medium

  * debian/control and debian/copyright:
    - Update to use my debian email.
    - Update URL of upstream.
  * debian/control:
    - Move maintenance under bridges team.
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0 (no change).
    - Add Rules-Requires-Root: no
    - Move Vcs-* to salsa.
  * debian/libcork-doc.doc-base:
    - Move doc path to libcork-dev folder.
  * Add debian/upstream/metadata
  * debian/rules:
    - Add more security hardening: -fPIC for CPPFLAGS and LDFLAGS.
  * debian/libcorkipset1.symbols:
    - Add Build-Depends-Package as requested by lintian.

 -- Roger Shimizu <rosh@debian.org>  Tue, 19 May 2020 20:32:33 +0900

libcork (0.15.0+ds-12) unstable; urgency=medium

  * Release to unstable.
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 22 Oct 2017 22:16:16 +0900

libcork (0.15.0+ds-12~exp3) experimental; urgency=medium

  * debian/libcork16.symbols:
    - Add symbols file for libcork16.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 22 Oct 2017 17:44:40 +0900

libcork (0.15.0+ds-12~exp2) experimental; urgency=medium

  * debian/rules:
    - Support new mathjax js URL result from sphinx.
      Old URL result is also kept for backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 18 Oct 2017 22:31:04 +0900

libcork (0.15.0+ds-12~exp1) experimental; urgency=medium

  * debian/control:
    - Remove extra priority, since policy claims extra is the same as
      optional now. So all binary packages can be optional.
    - Bump up Standards-Version to 4.1.1 (with adding autopkgtest below).
  * Remove debian-watch-file-should-mangle-version from lintian-overrides.
  * debian/patches:
    - Update patch 0010, to extend the timeout of a test, since there's
      timeout issue on i386 of reproducible build.
  * debian/tests:
    - Add upstream test suite for autopkgtest.
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 17 Oct 2017 01:37:36 +0900

libcork (0.15.0+ds-11~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 30 Jun 2017 01:51:21 +0900

libcork (0.15.0+ds-11) unstable; urgency=medium

  * debian/control:
    - Set Multi-Arch of libcork-doc as foreign
  * debian/rules:
    - Now it's safe to set +all as hardening option
  * debian/patches:
    - Add a patch to fix upstream issue #120:
        https://github.com/redjack/libcork/issues/120
      Thanks to Max Lv <max.c.lv@gmail.com>.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Jan 2017 00:30:16 +0900

libcork (0.15.0+ds-10~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 23 Nov 2016 23:10:55 +0900

libcork (0.15.0+ds-10) unstable; urgency=medium

  * debian/control:
    - Make use of dh_sphinxdoc to calculate the dependency of js library
    - Add Built-Using according to Bug#836248.
  * debian/rules:
    - Make use of dh_sphinxdoc to replace/remove libjs-sphinxdoc js libraries.
      Mathjax related replacement is left as before since it's not included
      in libjs-sphinxdoc, yet. See Bug#739300.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 20 Nov 2016 19:38:32 +0900

libcork (0.15.0+ds-9) unstable; urgency=medium

  * debian/control:
    - make use of libjs-jquery and libjs-underscore in Debian archive,
      and remove embedded .js libraries.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 26 Oct 2016 22:12:00 +0900

libcork (0.15.0+ds-9~exp1) experimental; urgency=medium

  * debian/patches:
    - Add 0013 patch to fix unaligned access issue found on sparc64 arch
      Thanks to James Clarke <jrtc27@jrtc27.com>.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 21 Oct 2016 20:25:41 +0900

libcork (0.15.0+ds-8) unstable; urgency=medium

  * debian/patches:
    - Add 0012 patch to bump libcork version to 16.0.2
      (Closes: #841267)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 19 Oct 2016 19:09:44 +0900

libcork (0.15.0+ds-7) unstable; urgency=medium

  * debian/copyright:
    - Update field: Upstream-Contact
    - Update field: Files-Excluded
  * debian/control:
    - Bump debhelper level to 10 (previous was 9.20160403,
      feature equivalent to 10, so no change required).

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 18 Oct 2016 22:15:36 +0900

libcork (0.15.0+ds-7~exp1) experimental; urgency=medium

  * debian/control:
    - Bump up libcork SONAME to libcork16
  * debian/patches:
    - Add 0011 patch, to make SONAME version the same as library version

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 14 Oct 2016 01:58:54 +0900

libcork (0.15.0+ds-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Oct 2016 01:15:01 +0900

libcork (0.15.0+ds-6) unstable; urgency=medium

  * debian/patches:
    - Add 0010 patch, to resolve test timeout of bitset case
  * debian/rules:

