=== debian/control ===
Source: libcork
Section: libs
Priority: optional
Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
Uploaders: Roger Shimizu <rosh@debian.org>
Build-Depends:
 check,
 cmake,
 debhelper-compat (= 12),
 pkg-config,
 python3-cram,
 python3-sphinx
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://libcork.io
Vcs-Git: https://salsa.debian.org/bridges-team/libcork.git
Vcs-Browser: https://salsa.debian.org/bridges-team/libcork

Package: libcork-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libcork-doc
Depends: libcork16 (= ${binary:Version}), ${misc:Depends}
Description: simple, easily embeddable, cross-platform C library (development files)
 It falls roughly into the same category as glib or APR in the C world;
 the STL, POCO, or QtCore in the C++ world; or the standard libraries of any
 decent dynamic language.
 .
 So if libcork has all of these comparables, why a new library? Well, none of
 the C++ options are really applicable here. And none of the C options work,
 because one of the main goals is to have the library be highly modular,
 and useful in resource-constrained systems. You’ll hopefully see how this
 fits into an interesting niche of its own.
 .
 This package provides C header files for the libraries.

Package: libcork16
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple, easily embeddable, cross-platform C library
 It falls roughly into the same category as glib or APR in the C world;
 the STL, POCO, or QtCore in the C++ world; or the standard libraries of any
 decent dynamic language.
 .
 So if libcork has all of these comparables, why a new library? Well, none of
 the C++ options are really applicable here. And none of the C options work,
 because one of the main goals is to have the library be highly modular,
 and useful in resource-constrained systems. You’ll hopefully see how this
 fits into an interesting niche of its own.
 .
 This package provides shared libraries.

Package: libcork-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: simple, easily embeddable, cross-platform C library (documentation files)
 It falls roughly into the same category as glib or APR in the C world;
 the STL, POCO, or QtCore in the C++ world; or the standard libraries of any
 decent dynamic language.
 .
 So if libcork has all of these comparables, why a new library? Well, none of
 the C++ options are really applicable here. And none of the C options work,
 because one of the main goals is to have the library be highly modular,
 and useful in resource-constrained systems. You’ll hopefully see how this
 fits into an interesting niche of its own.
 .
 This package provides documentation in HTML for the libraries.
