=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@
Restrictions: allow-stderr

Tests: ss-libev.sh
Depends: @, shadowsocks-libev, python3, curl, dnsutils
Restrictions: allow-stderr
