=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # -*- coding: utf-8 -*-
 # ----------------------------------------------------------------------
-# Copyright © 2011-2014, RedJack, LLC.
-# All rights reserved.
-#
+# Copyright © 2011, libcork authors
 # Please see the COPYING file in this distribution for license details.
 # ----------------------------------------------------------------------
 
@@ -14,7 +12,7 @@
 
 # Fill this in with any man pages that should be built from a pandoc source
 # file.  For a man page called foo.5, there should be a pandoc source file
-# called foo.5.pandoc.
+# called foo.5.md.
 
 set(MAN_PAGES
 )
@@ -64,7 +62,7 @@
 set(ALL_MANS)
 
 macro(pandocify name)
-    set(src  "${CMAKE_CURRENT_SOURCE_DIR}/${name}.pandoc")
+    set(src "${CMAKE_CURRENT_SOURCE_DIR}/${name}.md")
     set(dest "${CMAKE_CURRENT_SOURCE_DIR}/${name}")
     get_filename_component(section "${name}" EXT)
     string(REPLACE "." "" section "${section}")
