=== include/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # ----------------------------------------------------------------------
-# Copyright © 2011-2015, RedJack, LLC.
+# Copyright © 2011, libcork authors
 # All rights reserved.
 #
 # Please see the COPYING file in this distribution for license details.
@@ -13,7 +13,7 @@
 )
 
 install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
-    DESTINATION include
+    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
     FILES_MATCHING PATTERN "*.h")
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcork/config/version.h
