=== docs/old/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # -*- coding: utf-8 -*-
 # ----------------------------------------------------------------------
-# Copyright © 2011-2014, RedJack, LLC.
-# All rights reserved.
-#
+# Copyright © 2011, libcork authors
 # Please see the COPYING file in this distribution for license details.
 # ----------------------------------------------------------------------
 
@@ -15,11 +13,6 @@
 )
 
 set(GENERATE_DOC TRUE)
-
-if (TILERA)
-    message(STATUS "Note: We don't build documentation on the Tilera platform")
-    set(GENERATE_DOC FALSE)
-endif (TILERA)
 
 if (NOT SPHINX_EXECUTABLE)
   message(WARNING "Unable to find Sphinx documentation generator")
@@ -82,6 +75,6 @@
 
   install(
     DIRECTORY "${SPHINX_HTML_DIR}"
-    DESTINATION "share/doc/${PROJECT_NAME}"
+    DESTINATION "${CMAKE_INSTALL_DOCDIR}"
   )
 endif (GENERATE_DOC)
