=== debian/changelog ===
libcork (1.0.0~rc3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113130)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Oct 2025 15:50:42 +0200

libcork (1.0.0~rc3-4) unstable; urgency=medium

  [ Roger Shimizu ]
  * debian/patches: Update patch for CI test to remove local include
    path.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #1083174)
    + Add a nocheck.patch that makes upstream honour BUILD_TESTING.
    + Annotate check and python3-cram with <!nocheck>.
    + Demote sphinx dependencies and dh addon to Build-Depends-Indep.

 -- Roger Shimizu <rosh@debian.org>  Thu, 10 Apr 2025 00:59:03 -0700

libcork (1.0.0~rc3-3) unstable; urgency=medium

  * debian/copyright:
    - Update entry for tests/cram.py.
  * debian/control:
    - Update Homepage to github.
  * debian/tests/upstream-test-suite:
    - Ignore the error from dh_auto_configure. This will make
      autopkgtest within pbuilder happy.
    - Remove dh_auto_build from script, and only build tests.
  * debian/tests/control:
    - Install include and library for the test.
  * debian/patches:
    - Update 03 patch to ensure using system python3-cram.
    - Add a patch for autopkgtest, or CI pipeline:
        autopkgtest-Use-system-library-to-run-test.patch
      It uses system's include and library, and skip to build local
      library.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Aug 2021 15:35:31 +0900

libcork (1.0.0~rc3-2) unstable; urgency=medium

  * debian/copyright:
    - Add entry for tests/cram.py.
  * debian/patches:
    - Add patch to use system python3-cram, instead of embedded
      tests/cram.py.
  * debian/rules:
    - Install doc from debian/tmp instead of obj-*, to make
      dh_missing happy.
  * debian/upstream/metadata:
    - Remove Homepage entry to make lintian happy.

 -- Roger Shimizu <rosh@debian.org>  Mon, 23 Aug 2021 00:47:49 +0900

libcork (1.0.0~rc3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Tue, 17 Aug 2021 01:55:17 +0900

libcork (1.0.0~rc3-1~exp2) experimental; urgency=medium

  * debian/tests:
    - Revert: Add new ss-libev.sh test suite from shadowsocks-libev.
  * debian/watch:
    - Add uversionmangle rule to adapt upstream RC version

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Feb 2021 18:02:49 +0900

libcork (1.0.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release 1.0.0--rc3
  * debian/watch:
    - Update upstream URL.
  * debian/copyright:
    - Remove Files-Excluded section.
  * debian/patches:
    - Refresh patches.
  * debian/libcork16.symbols: Update
  * debian/rules:
    - export DEB_VERSION_UPSTREAM to feed cmake script.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Jan 2021 01:32:04 +0900
