=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
 Uploaders: Roger Shimizu <rosh@debian.org>
 Build-Depends:
- check,
+ check <!nocheck>,
  cmake,
  debhelper-compat (= 12),
  pkg-config,
- python3-cram,
- python3-sphinx
+ python3-cram <!nocheck>,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ python3-sphinx,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: https://libcork.io
+Homepage: https://github.com/dcreager/libcork
 Vcs-Git: https://salsa.debian.org/bridges-team/libcork.git
 Vcs-Browser: https://salsa.debian.org/bridges-team/libcork
