=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,27 @@
 export DEB_CPPFLAGS_MAINT_APPEND = -fPIC
 export DEB_LDFLAGS_MAINT_APPEND = -fPIC
 
+include /usr/share/dpkg/pkg-info.mk
+export DEB_VERSION_UPSTREAM
+
 # Due to: https://github.com/libcheck/check/issues/293
 # Workaround from: https://bugs.gentoo.org/736766
 override_dh_auto_configure:
 	sed -i s:-Werror:-Wextra: CMakeLists.txt
-	dh_auto_configure
+	dh_auto_configure -- \
+		-DENABLE_SHARED_EXECUTABLES=YES \
+		-DENABLE_SHARED_TESTS=YES \
+		-DENABLE_STATIC=NO
 
-override_dh_install:
-	rm -f obj-*/docs/old/html/.buildinfo
+execute_before_dh_install-indep:
+	rm -f debian/tmp/usr/share/doc/libcork/html/.buildinfo
 	sed -i " \
 		s%http[s]*://cdn.mathjax.org/mathjax/latest/MathJax.js%file:///usr/share/javascript/mathjax/MathJax.js%; \
 		s%https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9].[0-9].[0-9]/MathJax.js%file:///usr/share/javascript/mathjax/MathJax.js%; \
 		s%https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9].[0-9].[0-9]/latest.js%file:///usr/share/javascript/mathjax/unpacked/latest.js%; \
-		" obj-*/docs/old/html/*.html
-	dh_install
+		" debian/tmp/usr/share/doc/libcork/html/*.html
 
+# Upstream supports both autoreconf and cmake
+# Here we disable autoreconf so cmake will be used
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --without autoreconf
