=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, libcork-dev
Restrictions: allow-stderr
